Bug 662662 - Unable to view/edit member values of an open map entry in the group configuration
Unable to view/edit member values of an open map entry in the group configura...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity medium (vote)
: ---
: ---
Assigned To: Lukas Krejci
Corey Welton
:
Depends On:
Blocks: jon241-bugs 663377
  Show dependency treegraph
 
Reported: 2010-12-13 09:36 EST by Lukas Krejci
Modified: 2011-05-23 21:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-12-13 09:36:35 EST
Description of problem:
If a resource configuration of the resources in a compatible group contains an open map, it is impossible to edit/view individual member values of the entries in the open map using the group configuration viewer/editor.

Version-Release number of selected component (if applicable):
3.0.1-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. Create a group of JBoss AS Datasources
2. Go to the configuration tab of the group
3. Try to view/edit individual member values of an entry in the "Connection Property" map
  
Actual results:
NPE when clicking the "View Member Values" icon

Expected results:
Individual values shown

Additional info:
Comment 1 Lukas Krejci 2010-12-15 10:43:56 EST
Note that this is specific to RHQ 3 / JON 2.4.1. There will be no fix for this
issue in RHQ 4 as that has a completely different UI codebase.

commit e2f3addc506daa15b3b1d969561dcd9ca836f3b5
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Dec 15 15:50:40 2010 +0100

    BZ 662662 - restore the ability to view/edit open maps by "faking" property
definitions for the individual properties in the open map.
Comment 2 Sunil Kondkar 2010-12-16 06:38:59 EST
Verified on Jon241 build#42 (build number: 10963:0a53ca3)

NPE is not observed after clicking on "View Member Values" icon in the "Connection
Property" map on configuration tab of the group of JBoss AS Datasources.

There is a separate bug logged for edit and save on group config tab of JBoss AS Datasources. (https://bugzilla.redhat.com/show_bug.cgi?id=663608)

Marking this as verified.
Comment 3 Corey Welton 2011-05-23 21:09:41 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.